Will the Plume App work on my device?

You’ll need the Plume App to set up your WiFi network. It has been designed to work and tested with iPhone 5 and above running iOS 9 and higher and with Android smartphones running Android 4.4 and higher.

StellarWiFi is closely evaluating new platform opportunities. To stay in touch with the updates, we suggest you continue to visit their website, Twitter, Facebook pages and signing up to their mailing list located at the bottom of their homepage.

  • Was this Helpful ?
  • YesNo